---

icinga2_mode: satellite

icinga2_host_object:

  icingaweb.icinga.local:
    endpoint_name: icingaweb.icinga.local
    zone: "{{ icinga2_satellite_zone }}"
    display_name: icingaweb.icinga.local
    import: generic-host
    address: '{{ ansible_default_ipv4.address }}'
    vars: |
      os = "Linux"
      dist = "{{ ansible_distribution }}"
      dist_ver = "{{ ansible_distribution_version }}"
      satellite = true
      disks = {
        "disk /" = {
          disk_partitions = "/"
        }
      }

      http_vhosts = {
        "/icinga" = {
          http_port = "80"
          http_uri = "/icinga"
          # http_expect_body_eregi = "'Icinga Web 2:"
        }
      }

      services = [ "uptime", "memory" ]
